#
# spec file for package stunnel (Version 3.14)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         stunnel
Summary:      Universal SSL tunnel
License:	GPL
Version:      3.14
Release:      123
Group:          Networking/Daemons
URL:		http://www.stunnel.org/
Source:		http://www.stunnel.org/download/stunnel/src/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
The stunnel program is designed to work as SSL encryption wrapper
between remote client and local (inetd-startable) or remote server.
The concept is that having non-SSL aware daemons running on your
system you can easily setup them to communicate with clients over
secure SSL channel. stunnel can be used to add SSL functionality to
commonly used inetd daemons like POP-2, POP-3 and IMAP servers without
any changes in the programs' code.

SuSE series: sec

%prep
%setup -q

%build
%configure \
		--localstatedir=/var/run \
		--with-pem-dir=%{_sysconfdir}/stunnel
echo -e ".\n.\n.\n.\n.\n" | make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/stunnel
mkdir -p $RPM_BUILD_ROOT/var/run/stunnel
install -m755 -s stunnel $RPM_BUILD_ROOT/%{_sbindir}
install -m755 -s stunnel.so $RPM_BUILD_ROOT%{_libdir}
install -m644 stunnel.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
echo "To build a new pem, execute the following OpenSSL command:"
echo "  /usr/bin/openssl req -new -x509 -days 365 -nodes \ "
echo "    -config /usr/share/doc/packages/stunnel/stunnel.cnf \ "
echo "    -out %{_sysconfdir}/stunnel/stunnel.pem -keyout %{_sysconfdir}/stunnel/stunnel.pem"
echo ""

%files
%doc COPYING COPYRIGHT.GPL COPYRIGHT.SSLeay HISTORY INSTALL README FAQ
%doc stunnel.html transproxy.txt
%doc ca.html ca.pl importCA.html importCA.sh stunnel.cnf
%{_sbindir}/*
%{_libdir}/*
%{_mandir}/man8/*
%dir %{_sysconfdir}/stunnel
%dir /var/run/stunnel

%changelog -n stunnel
* Thu Mar 08 2001 - bk@suse.de
- update to 3.14 and fix localstatedir (/var/run/stunnel)
* Mon Feb 05 2001 - bk@suse.de
- fixed neededforbuild
* Sun Feb 04 2001 - bk@suse.de
- new package
